## haskell-clash-ghc 1.6.4

=== debian/changelog ===
haskell-clash-ghc (1.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 10 Oct 2022 12:56:49 -0400

haskell-clash-ghc (1.6.3-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Thu, 06 Oct 2022 20:11:03 -0400
