=== debian/control ===
Source: haskell-clash-ghc
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libghc-clash-lib-dev (>= 1.6.4),
 libghc-clash-lib-dev (<< 1.6.5),
 libghc-clash-lib-prof,
 libghc-clash-prelude-dev (>= 1.6.4),
 libghc-clash-prelude-dev (<< 1.6.5),
 libghc-clash-prelude-prof,
 libghc-concurrent-supply-dev (>= 0.1.7),
 libghc-concurrent-supply-dev (<< 0.2),
 libghc-concurrent-supply-prof,
 libghc-data-binary-ieee754-dev (>= 0.4.4),
 libghc-data-binary-ieee754-dev (<< 0.6),
 libghc-data-binary-ieee754-prof,
 libghc-extra-dev (>= 1.6),
 libghc-extra-dev (<< 1.8),
 libghc-extra-prof,
 libghc-ghc-typelits-extra-dev (>= 0.3.2),
 libghc-ghc-typelits-extra-dev (<< 0.5),
 libghc-ghc-typelits-extra-prof,
 libghc-ghc-typelits-knownnat-dev (>= 0.6),
 libghc-ghc-typelits-knownnat-dev (<< 0.8),
 libghc-ghc-typelits-knownnat-prof,
 libghc-ghc-typelits-natnormalise-dev (>= 0.6),
 libghc-ghc-typelits-natnormalise-dev (<< 0.8),
 libghc-ghc-typelits-natnormalise-prof,
 libghc-hashable-dev (>= 1.1.2.3),
 libghc-hashable-dev (<< 1.5),
 libghc-hashable-prof,
 libghc-lens-dev (>= 4.10),
 libghc-lens-dev (<< 5.2.0),
 libghc-lens-prof,
 libghc-primitive-dev (>= 0.5.0.1),
 libghc-primitive-dev (<< 1.0),
 libghc-primitive-prof,
 libghc-reflection-dev (>= 2.1.2),
 libghc-reflection-dev (<< 3.0),
 libghc-reflection-prof,
 libghc-split-dev (>= 0.2.3),
 libghc-split-dev (<< 0.3),
 libghc-split-prof,
 libghc-uniplate-dev (>= 1.6.12),
 libghc-uniplate-dev (<< 1.8),
 libghc-uniplate-prof,
 libghc-unordered-containers-dev (>= 0.2.1.0),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-prof,
 libghc-utf8-string-dev (>= 1.0.0.0),
 libghc-utf8-string-dev (<< 1.1.0.0),
 libghc-utf8-string-prof,
 libghc-vector-dev (>= 0.11),
 libghc-vector-dev (<< 1.0),
 libghc-vector-prof,
Build-Depends-Indep: ghc-doc,
 libghc-clash-lib-doc,
 libghc-clash-prelude-doc,
 libghc-concurrent-supply-doc,
 libghc-data-binary-ieee754-doc,
 libghc-extra-doc,
 libghc-ghc-typelits-extra-doc,
 libghc-ghc-typelits-knownnat-doc,
 libghc-ghc-typelits-natnormalise-doc,
 libghc-hashable-doc,
 libghc-lens-doc,
 libghc-primitive-doc,
 libghc-reflection-doc,
 libghc-split-doc,
 libghc-uniplate-doc,
 libghc-unordered-containers-doc,
 libghc-utf8-string-doc,
 libghc-vector-doc,
Standards-Version: 4.6.1
Homepage: https://clash-lang.org/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-ghc
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-ghc]
X-Description: Clash: functional hardware descr. language - GHC frontend
 Clash is a functional hardware description language that borrows both its
 syntax and semantics from the functional programming language Haskell. The
 Clash compiler transforms these high-level descriptions to low-level
 synthesizable VHDL, Verilog, or SystemVerilog.
 .
 Features of Clash:
 .
  * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.
 .
  * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.
 .
  * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.
 .
  * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.
 .
  * Support for multiple clock domains, with type safe clock domain crossing.
 .
 This package provides:
 .
  * Clash Compiler binary using GHC/Haskell as a frontend
 .
 Prelude library: <https://hackage.haskell.org/package/clash-prelude>

Package: libghc-clash-ghc-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-clash-ghc-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-clash-ghc-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: haskell-clash-ghc-utils
Architecture: any
Section: misc
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
