## haskell-clash-ghc 1.6.6

=== debian/changelog ===
haskell-clash-ghc (1.6.6-3) unstable; urgency=medium

  * Patch for newer dependencies.

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 15:08:55 -0400

haskell-clash-ghc (1.6.6-2) unstable; urgency=medium

  * Patch for newer ghc-bignum.

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 14:37:15 -0400

haskell-clash-ghc (1.6.6-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 14:33:28 -0400
