=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  cdbs,
  ghc,
  ghc-prof,
- libghc-clash-lib-dev (>= 1.6.4),
- libghc-clash-lib-dev (<< 1.6.5),
+ libghc-clash-lib-dev (>= 1.6.6),
+ libghc-clash-lib-dev (<< 1.6.7),
  libghc-clash-lib-prof,
- libghc-clash-prelude-dev (>= 1.6.4),
- libghc-clash-prelude-dev (<< 1.6.5),
+ libghc-clash-prelude-dev (>= 1.6.6),
+ libghc-clash-prelude-dev (<< 1.6.7),
  libghc-clash-prelude-prof,
  libghc-concurrent-supply-dev (>= 0.1.7),
  libghc-concurrent-supply-dev (<< 0.2),
@@ -36,7 +36,7 @@
  libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.2.0),
+ libghc-lens-dev (<< 5.3),
  libghc-lens-prof,
  libghc-primitive-dev (>= 0.5.0.1),
  libghc-primitive-dev (<< 1.0),
@@ -77,7 +77,7 @@
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-ghc
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-ghc]
