## haskell-clash-ghc 1.8.1

=== debian/changelog ===
haskell-clash-ghc (1.8.1-4) unstable; urgency=medium

  * Team upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Fix FTBFS on loong64 (Closes: #1100364)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Mar 2025 10:39:06 +0100

haskell-clash-ghc (1.8.1-3) unstable; urgency=medium

  * Fix FTBFS with Debian's patched GHC (for newer LLVM)

 -- Scott Talbert <swt@techie.net>  Tue, 08 Oct 2024 20:54:30 -0400

haskell-clash-ghc (1.8.1-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Sourceful upload for GHC 9.6

 -- Scott Talbert <swt@techie.net>  Tue, 08 Oct 2024 09:36:16 -0400

haskell-clash-ghc (1.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1054971)

 -- Scott Talbert <swt@techie.net>  Fri, 17 Nov 2023 22:04:46 -0500
