=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 9.6),
  ghc-prof,
- libghc-clash-lib-dev (>= 1.6.6),
- libghc-clash-lib-dev (<< 1.6.7),
+ libghc-clash-lib-dev (>= 1.8.1),
+ libghc-clash-lib-dev (<< 1.8.2),
  libghc-clash-lib-prof,
- libghc-clash-prelude-dev (>= 1.6.6),
- libghc-clash-prelude-dev (<< 1.6.7),
+ libghc-clash-prelude-dev (>= 1.8.1),
+ libghc-clash-prelude-dev (<< 1.8.2),
  libghc-clash-prelude-prof,
  libghc-concurrent-supply-dev (>= 0.1.7),
  libghc-concurrent-supply-dev (<< 0.2),
@@ -47,6 +47,9 @@
  libghc-split-dev (>= 0.2.3),
  libghc-split-dev (<< 0.3),
  libghc-split-prof,
+ libghc-string-interpolate-dev (>= 0.3),
+ libghc-string-interpolate-dev (<< 0.4),
+ libghc-string-interpolate-prof,
  libghc-uniplate-dev (>= 1.6.12),
  libghc-uniplate-dev (<< 1.8),
  libghc-uniplate-prof,
@@ -73,11 +76,12 @@
  libghc-primitive-doc,
  libghc-reflection-doc,
  libghc-split-doc,
+ libghc-string-interpolate-doc,
  libghc-uniplate-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-ghc
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-ghc]
