=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = yes
DEB_SETUP_BIN_NAME = debian/hlibrary.setup
DEB_CABAL_PACKAGE = clash-ghc
DEB_DEFAULT_COMPILER = ghc

ifneq (,$(filter $(DEB_BUILD_ARCH),loong64))
DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-optc-mcmodel=medium"
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/haskell-clash-ghc-utils:: build-ghc-stamp
