## haskell-clash-ghc 1.8.4

=== debian/changelog ===
haskell-clash-ghc (1.8.4-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop mcmodel hack on loong64, now that ghc automatically
    passes it

  [ Scott Talbert ]
  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Thu, 12 Feb 2026 23:38:46 -0500
