=== debian/control ===
--- 
+++ 
@@ -3,25 +3,22 @@
 Uploaders: Scott Talbert <swt@techie.net>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc (>= 9.6),
  ghc-prof,
- libghc-clash-lib-dev (>= 1.8.1),
- libghc-clash-lib-dev (<< 1.8.2),
+ libghc-clash-lib-dev (>= 1.8.4),
+ libghc-clash-lib-dev (<< 1.8.5),
  libghc-clash-lib-prof,
- libghc-clash-prelude-dev (>= 1.8.1),
- libghc-clash-prelude-dev (<< 1.8.2),
+ libghc-clash-prelude-dev (>= 1.8.4),
+ libghc-clash-prelude-dev (<< 1.8.5),
  libghc-clash-prelude-prof,
- libghc-concurrent-supply-dev (>= 0.1.7),
- libghc-concurrent-supply-dev (<< 0.2),
- libghc-concurrent-supply-prof,
  libghc-data-binary-ieee754-dev (>= 0.4.4),
  libghc-data-binary-ieee754-dev (<< 0.6),
  libghc-data-binary-ieee754-prof,
  libghc-extra-dev (>= 1.6),
- libghc-extra-dev (<< 1.8),
+ libghc-extra-dev (<< 1.9),
  libghc-extra-prof,
  libghc-ghc-typelits-extra-dev (>= 0.3.2),
  libghc-ghc-typelits-extra-dev (<< 0.5),
@@ -33,10 +30,10 @@
  libghc-ghc-typelits-natnormalise-dev (<< 0.8),
  libghc-ghc-typelits-natnormalise-prof,
  libghc-hashable-dev (>= 1.1.2.3),
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (<< 1.6),
  libghc-hashable-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.3),
+ libghc-lens-dev (<< 5.4),
  libghc-lens-prof,
  libghc-primitive-dev (>= 0.5.0.1),
  libghc-primitive-dev (<< 1.0),
@@ -65,7 +62,6 @@
 Build-Depends-Indep: ghc-doc,
  libghc-clash-lib-doc,
  libghc-clash-prelude-doc,
- libghc-concurrent-supply-doc,
  libghc-data-binary-ieee754-doc,
  libghc-extra-doc,
  libghc-ghc-typelits-extra-doc,
